POST /api/v1/envelopes/initiate — Initiate Envelope
Initiate a signature envelope by uploading document files as multipart/form-data. Returns an envelope and Docuemnt ID that can be used in subsequent signing invitation steps.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- multipart/form-data
Path Parameters
- FileId (string, required)
- Optional. Custom file identifier (Guid). If omitted, the system generates one.
- WebhookId (string, required)
- Optional. Target a specific webhook instead of the tenant default.
- WorkflowId (string, required)
- Optional. Attach the envelope to an existing workflow.
- ReferenceNumber (string, required)
- Optional. Your own reference number. If omitted, the system generates one.
- Password (string, required)
- Optional. Password to protect the uploaded PDF.
- IsForExternalWorkFlow (boolean, required)
- Optional. Enable External WorkFlow.
Responses
HTTP 200 — Envelope created successfully
{
"data": {
"documentId": "d21b710f-bee2-4c0a-a881-0874ca5155ca",
"envelopeId": "c548792b-9b74-48bb-b4b5-6bbc86c62a2f",
"destinations": null,
"referenceNumber": "contract-i-31157546",
"creatorFields": null
},
"errorCode": 0,
"message": "Success",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 400 — Bad Request
{
"data": {
"documentId": "00000000-0000-0000-0000-000000000000",
"envelopeId": "00000000-0000-0000-0000-000000000000",
"destinations": null,
"referenceNumber": null,
"creatorFields": null
},
"errorCode": 116,
"message": "FileNotFoundInRequest",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 401 — Unauthorized
{
"data": null,
"errorCode": 401,
"message": "Unauthorized",
"returnUrl": null,
"stateValidationErrors": null,
"signature": ""
}